Current-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

fetchmail built on -current not working properly

Yesterday, I upgraded my laptop to amd64-current.  I then deleted and
rebuilt all of my packages.  Fetchmail isn't working.

When I run it (fetchmail 6.3.8nb3) and point it at the local IMAPS
server, I get this:

140187686483524:error:14094410:SSL routines:SSL3_READ_BYTES:sslv3 alert
handshake failure:/usr/src/crypto/dist/openssl/ssl/s3_pkt.c:1116:SSL
alert number 40

I had a package I'd built in June, on 4.99.59, which I installed in its
place; it's working perfectly.  It's the same package version --
6.3.8nb3 -- and I'm running with the same kernel and the same shared
libraries, which makes me suspect a compiler issue.  I have no mk.conf
entries for fetchmail, so I'm using the default options.  Has anyone
else seen this?  Any suggestions?

                --Steve Bellovin,

Home | Main Index | Thread Index | Old Index